Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.data
Interface Version

public interface Version

represents certain infobit version. version has an author, creation time and certain workflow status - created / checked / approved /

Version:
  $Revision: 1.6 $
Author:
  konstantin

Method Summary
`java.lang.String` | `getAuthor()` Gets the Author attribute of the Version object
`Content` | `getContent()` Gets the Content attribute of the Version object
`java.util.Date` | `getDate()` Gets the Date attribute of the Version object
`java.lang.Integer` | `getId()` I do not like idea of exposing this to user, but somehow we have to expose this to content objects belonging to version...
`Infobit` | `getInfobit()` Gets the Infobit attribute of the Version object
`java.lang.String` | `getName()` Gets the Name attribute of the Version object
`void` | `setAuthor(java.lang.String author)` Sets the Author attribute of the Version object
`void` | `setDate(java.util.Date date)` Sets the Date attribute of the Version object
`void` | `setName(java.lang.String name)` Sets the Name attribute of the Version object

Method Detail

### getId

    public java.lang.Integer getId()

  I do not like idea of exposing this to user, but somehow we have to expose this to content objects belonging to version...

  Returns:
    The Id value

### getName

    public java.lang.String getName()

  Gets the Name attribute of the Version object

  Returns:
    The Name value

### getAuthor

    public java.lang.String getAuthor()

  Gets the Author attribute of the Version object

  Returns:
    The Author value

### getInfobit

    public Infobit getInfobit()

  Gets the Infobit attribute of the Version object

  Returns:
    The Infobit value

### getDate

    public java.util.Date getDate()

  Gets the Date attribute of the Version object

  Returns:
    The Date value

### setName

    public void setName(java.lang.String name)

  Sets the Name attribute of the Version object

  Parameters:
    `name` - The new Name value

### setAuthor

    public void setAuthor(java.lang.String author)

  Sets the Author attribute of the Version object

  Parameters:
    `author` - The new Author value

### setDate

    public void setDate(java.util.Date date)

  Sets the Date attribute of the Version object

  Parameters:
    `date` - The new Date value

### getContent

    public Content getContent()

  Gets the Content attribute of the Version object

  Returns:
    The Content value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.